#
# spec file for package gtksourceview18
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define real_name gtksourceview
Name:           gtksourceview18
Version:        1.8.5
Release:        bp154.1.63
Summary:        GTK+ 2.0 Source Editing Widget
License:        GPL-2.0-or-later
Group:          System/GUI/GNOME
URL:            http://www.gnome.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{real_name}/1.8/%{real_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gtksourceview18-glibc-header.patch vuntz@novell.com -- (not sent upstream since this is a dead branch) Fix build with newer glibc
Patch0:         gtksourceview18-glibc-header.patch
# PATCH-FIX-UPSTREAM gtksourceview18-glib.patch dimstar@opensuse.org -- Fix build with glib 2.31 (Not sent upstream. dead branch)
Patch1:         gtksourceview18-glib.patch
BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0

%description
GtkSourceView is a text widget that extends the standard GTK+ 2.x text
widget, GtkTextView.

GtkSourceView improves GtkTextView by implementing syntax highlighting
and other features typical of a source editor.

%package devel
Summary:        GTK+ 2.0 Source Editing Widget
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Requires:       libxml2-devel

%description devel
GtkSourceView is a text widget that extends GtkTextView, the standard
GTK+ 2.x text widget.

It improves GtkTextView by implementing syntax highlighting and other
features typical of a source editor.

%package doc
Summary:        Additional Package Documentation.
Group:          System/GUI/GNOME

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
# Change sr@Latn to sr@latin
mv %{buildroot}%{_datadir}/locale/sr@Latn %{buildroot}%{_datadir}/locale/sr@latin
%find_lang %{real_name}-1.0

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{real_name}-1.0.lang
%license COPYING
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%{_libdir}/*.so.*
%{_datadir}/gtksourceview-1.0

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%{_datadir}/gtk-doc/html/*

%changelog
* Fri May  4 2018 bjorn.lie@gmail.com
- Drop libgnomeprint-devel BuildRequires and Requires, minimize
  dependencies.
- Following the above, add mandatory pkgconfig(libxml-2.0)
  BuildRequires, previously pulled in by libgnomeprint-devel.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Wed May 31 2017 dimstar@opensuse.org
- Run spec-cleaner.
- Drop Authors section from descriptions.
- Drop filesystem prereq: there are no scriptlets in this package.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Nov 27 2011 dimstar@opensuse.org
- Add gtksourceview18-glib.patch: Fix build with glib 2.31.
* Mon Jun 15 2009 vuntz@novell.com
- Add gtksourceview18-glibc-header.patch to fix build with newer
  glibc.
- Remove AutoReqProv: it's default now.
- Do not use custom CFLAGS.
- Use parallel make.
* Sat Jan 31 2009 vuntz@novell.com
- Remove unneeded BuildRequires: libglade2-devel, perl-XML-Parser,
  sgml-skel, update-desktop-files
- Add gtk2-devel BuildRequires.
- Do not call autoreconf.
- Use sr@latin instead of sr@Latn.
- Remove static libraries and la files.
- Do not use deprecated %%run_ldconfig.
- Minor cleanup.
* Wed Nov  7 2007 sbrabec@suse.cz
- Use new name of gtkdoc: gtk-doc.
* Thu Aug 16 2007 wberrier@suse.de
- compatibility lib for gtksourceveiw-sharp2 (monodevelop)
  It is parallel installable with gtksourceview 1.9
- bnc #298855
